LIBKECCAK_CSHAKE_SUFFIX(3)

NAME
libkeccak_cshake_suffix - Get message suffix for cSHAKE hashing

SYNOPSIS
#include <libkeccak.h>
const char *libkeccak_cshake_suffix(size_t nlen, size_t slen);

Link with -lkeccak.

DESCRIPTION
The libkeccak_cshake_suffix() function returns a string of '1':s and '0':s representing the bits the the message suffixed that shall be used. Canonically, the values of the nlen and slen parameters shall be the length of the cSHAKE function-name bit-string and the cSHAKE customisation bit-string, however, the function will only check whether these values are zero or non-zero.

RETURN VALUES
The libkeccak_cshake_suffix() function returns a statically allocated, read-only, message suffix bit-string that shall be used.

ERRORS
The libkeccak_cshake_suffix() function cannot fail.

SEE ALSO
libkeccak_spec_cshake(3), libkeccak_generalised_spec_initialise(3), libkeccak_state_initialise(3), libkeccak_cshake_initialise(3), libkeccak_fast_digest(3), libkeccak_zerocopy_digest(3), libkeccak_digest(3)